=== ThirdParty/Fit/CMakeLists.txt ===
add_subdirectory(RootMinimizers)
