=== Tests/Functional/Fit/CMakeLists.txt ===
add_subdirectory(Minimizer)
