=== debian/changelog ===
bornagain (1.18.0-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * d/rules: Use --no-parallel to avoid FTBFS.

  [ Sébastien Delafond ]
  * Change install method
  * New upstream version 1.18.0 (Closes: #972762)

 -- Sebastien Delafond <seb@debian.org>  Tue, 08 Dec 2020 09:56:37 +0100

bornagain (1.16.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.16.0

 -- Sebastien Delafond <seb@debian.org>  Fri, 17 Apr 2020 16:45:26 +0200

bornagain (1.15.0-1) unstable; urgency=medium

  [ Mika Pflüger ]
  * Initial release (Closes: #844618)

  [ Sébastien Delafond ]
  * d/{control,copyright}

 -- Sebastien Delafond <seb@debian.org>  Fri, 17 Apr 2020 15:18:18 +0200
