=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# deal with profiles
CONFIG_SWITCHES=-DCMAKE_DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) -DCONFIGURE_MANPAGE=ON -DBORNAGAIN_MPI=ON

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	CONFIG_SWITCHES += -DBORNAGAIN_GENERATE_PYTHON_DOCS=OFF
else
	CONFIG_SWITCHES += -DBORNAGAIN_GENERATE_PYTHON_DOCS=ON
endif

ifneq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
	CONFIG_SWITCHES += -DBORNAGAIN_GENERATE_BINDINGS=OFF
else
	CONFIG_SWITCHES += -DBORNAGAIN_GENERATE_BINDINGS=ON -DPython_ADDITIONAL_VERSIONS="3.9 3.8"
endif

# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# DPKG_EXPORT_BUILDFLAGS = 1
# include /usr/share/dpkg/buildflags.mk
# CFLAGS+=$(CPPFLAGS)
# CXXFLAGS+=$(CPPFLAGS)

# export CMAKE_OPTIONS := \
#   -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
#   -DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
#   -DWITH_SHARED_LIB=1 \
#   -DWITH_STATIC_LIB=0 \
#   -DWITH_PKGCONFIG_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig

%:
	dh $@ --with python3 $(CMAKE_OPTIONS)

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_OPTIONS) $(CONFIG_SWITCHES)

# circular import failure, disabling for now
override_dh_auto_test:

# unactive dwz for now... it FTBFS and I do not know how to fic the issue.
# does not work on buster
override_dh_dwz:
