=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

http://apps.jcns.fz-juelich.de/src/BornAgain/ BornAgain-([\d\.]+)\.tar\.gz debian uupdate

# Direct Git
# opts="mode=git" http://git.example.com/bornagain.git \
#   refs/tags/v([\d\.]+) debian uupdate
