## bornagain 1.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 include(commons/PreventInSourceBuilds)
 
 project(BornAgain
-    VERSION 1.18.0
+    VERSION 1.19.0
     DESCRIPTION "BornAgain: simulate and fit scattering at grazing incidence."
     HOMEPAGE_URL https://www.bornagainproject.org
     ) # LANGUAGES CXX)
@@ -34,10 +34,10 @@
 option(BORNAGAIN_PYTHON "Build with python support" ON)
 option(BORNAGAIN_GUI "Build a graphical user interface" ON)
 option(BORNAGAIN_TIFF_SUPPORT "Tiff files read/write support" ON)
+option(BORNAGAIN_NEWREFL "Compile reflectometry GUI prototype" OFF)
 
 # options that are off by default (switch on for additional functionality)
 option(BORNAGAIN_MPI "Build with MPI support" OFF)
-option(SLOWTESTS "CTest also covers slow tests" OFF)
 
 option(CONFIGURE_BINDINGS "Generate python bindings during build (requires swig)" OFF)
 option(CONFIGURE_PYTHON_DOCS "Generate python documentation from the doxygen comments" OFF)
@@ -52,6 +52,7 @@
 option(BORNAGAIN_COVERAGE "Build with test coverage information" OFF)
 option(BORNAGAIN_DEBUG_OPTIMIZATION "Build with debug optimization (gcc only)" OFF)
 option(BORNAGAIN_TIDY "Invokes clang-tidy" OFF)
+option(ALGORITHM_DIAGNOSTIC "Let some algorithms set diagnostic variables" OFF)
 
 if(BORNAGAIN_TIDY AND BORNAGAIN_PYTHON)
     message(FATAL_ERROR "BORNAGAIN_TIDY is incompatible with BORNAGAIN_PYTHON")
@@ -72,9 +73,10 @@
 ## Various CMake settings (include order is of critical importance)
 
 # function definitions
-include(commons/GetFilenameComponent) # overwrite CMake command
-include(BornAgain/MakeLib)
-include(BornAgain/SwigLib)
+include(commons/GetFilenameComponent) # fct get_filename_component (overwrites CMake's built-in)
+include(BornAgain/PythonDocs) # fct GeneratePythonDocs
+include(BornAgain/SwigLib) # fct SwigLib
+include(BornAgain/MakeLib) # fct MakeLib
 
 # main settings
 
@@ -94,6 +96,9 @@
 if(ZERO_TOLERANCE)
     string(APPEND CMAKE_CXX_FLAGS " -Werror -Wfatal-errors")
 endif()
+if(ALGORITHM_DIAGNOSTIC)
+    string(APPEND CMAKE_CXX_FLAGS " -DALGORITHM_DIAGNOSTIC=ON")
+endif()
 
 include(BornAgain/Dependences)
 if(BORNAGAIN_GUI)
@@ -104,17 +109,23 @@
 if(BORNAGAIN_PYTHON)
     include(BornAgain/PythonAPI)
 endif()
-include(BornAgain/PythonDocs)
 
 # debug optimization
 if(BORNAGAIN_DEBUG_OPTIMIZATION)
   include(commons/DebugOptimization)
 endif()
 
+## Fit
+add_subdirectory(Fit/3rdParty)
+add_subdirectory(Fit)
+add_subdirectory(Fit/Test/Unit)
+add_subdirectory(Fit/Test/Minimizer)
+
+
 ## recurse into the given subdirectories
 
-# BornAgain components are build as separate shared libraries
-set(CoreComponents "Base;Fit;Param;Sample;Device;Core")
+# BornAgain components are built as separate shared libraries
+set(CoreComponents "Base;Param;Sample;Device;Core")
 set(AllComponents "${CoreComponents};GUI")
 
 # code analysis
@@ -126,15 +137,18 @@
 
 # third-party code
 add_subdirectory(ThirdParty/common)
-add_subdirectory(ThirdParty/Fit)
 add_subdirectory(ThirdParty/Core)
 if(BORNAGAIN_GUI)
-    add_subdirectory(ThirdParty/GUI)
+    add_subdirectory(ThirdParty/GUI/qcustomplot)
 endif()
 
 # from here on our own code, occasionally scrutinized by clang-tidy
 if(BORNAGAIN_TIDY)
     set(CMAKE_CXX_CLANG_TIDY "clang-tidy") # has effect only if compiler is clang; uses .clang-tidy
+endif()
+
+if(BORNAGAIN_NEWREFL)
+    add_subdirectory(mvvm)
 endif()
 
 # core components
@@ -146,16 +160,20 @@
 endif()
 
 # core tests
-add_subdirectory(Tests/UnitTests/Fit)
 add_subdirectory(Tests/UnitTests/Core)
 add_subdirectory(Tests/UnitTests/Numeric)
 add_subdirectory(Tests/Performance/Core)
+add_subdirectory(Tests/Examples)
 
 # GUI
 if(BORNAGAIN_GUI)
     add_subdirectory(GUI)
     add_subdirectory(Tests/UnitTests/GUI)
     add_subdirectory(Tests/Performance/GUI)
+endif()
+if(BORNAGAIN_NEWREFL)
+    add_subdirectory(gui2)
+    add_subdirectory(Tests/UnitTests/gui2)
 endif()
 
 # TODO: split Core / GUI
