=== GUI/CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,13 @@
 message(STATUS "Configuring BornAgain GUI")
 
 set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTOUIC ON)
 
 add_subdirectory(ba3d)
 add_subdirectory(coregui)
 add_subdirectory(main)
 
+# Transmit variables for use in tests
 set(BornAgainGUI_INCLUDE_DIRS ${BornAgainGUI_INCLUDE_DIRS} PARENT_SCOPE)
 set(BornAgainGUI_LIBRARY ${BornAgainGUI_LIBRARY} PARENT_SCOPE)
