=== debian/changelog ===
bornagain (1.19.0-3build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:05:41 +0000

bornagain (1.19.0-3build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:25:19 +0000

bornagain (1.19.0-3) unstable; urgency=medium

  * Bug fix: "FTBFS: Precomputed.h:29:11: error: ‘size_t’ has not been
    declared", thanks to Lucas Nussbaum (Closes: #997069).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 21 Nov 2021 13:44:46 +0100

bornagain (1.19.0-2) unstable; urgency=medium

  * Bug fix: "buggy cmake file", thanks to Yangfl (Closes: #987700).
  * Bug fix: "contains ccache prebuilt objects", thanks to Yangfl (Closes:
    #987677).
  * Bug fix: "ftbfs with GCC-11", thanks to Matthias Klose (Closes:
    #983998).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 27 Sep 2021 21:01:20 +0200

bornagain (1.19.0-1) unstable; urgency=medium

  [Neil Williams]
  * Add Frédéric Picca as Uploader

  [Picca Frédéric-Emmanuel]
  * d/watch: fixed the url.
  * New upstream version 1.19.0
  * d/pathes: refreshed
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.0, no changes needed.
  * Apply multi-arch hints.
    + bornagain-doc: Add Multi-Arch: foreign.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 27 Sep 2021 20:09:13 +0200
