=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: bornagain
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Mika Pflüger <debian@mikapflueger.de>, Sebastien Delafond <seb@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Mika Pflüger <debian@mikapflueger.de>,
+ Sebastien Delafond <seb@debian.org>,
+ Picca Frédéric-Emmanuel <picca@debian.org>,
 Section: science
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 12),
-	       dh-python,
+               dh-python,
                doxygen-latex <!nodoc>,
                libboost-all-dev,
-	       libcerf-dev,
+               libcerf-dev,
                libeigen3-dev,
                libfftw3-dev,
                libgsl0-dev,
@@ -28,16 +32,16 @@
                swig <!nopython>,
                texlive-fonts-extra <!nodoc>,
                texlive-xetex <!nodoc>
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/bornagain
 Vcs-Git: https://salsa.debian.org/science-team/bornagain.git
-Homepage: http://bornagainproject.org/
+Homepage: https://bornagainproject.org/
 
 Package: bornagain
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: python3-bornagain
-Description: Simulate and fit X-ray and neutron GISAXS -- binary
+Description: Simulate and fit X-ray and neutron GISAS -- binary
  BornAgain is a software package to simulate and fit small-angle scattering at
  grazing incidence. It supports analysis of both X-ray (GISAXS) and neutron
  (GISANS) data. Calculations are carried out in the framework of the distorted
@@ -97,7 +101,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Description: Simulate and fit X-ray and neutron GISAXS -- Python3
+Description: Simulate and fit X-ray and neutron GISAS -- Python3
  BornAgain is a software package to simulate and fit small-angle scattering at
  grazing incidence. It supports analysis of both X-ray (GISAXS) and neutron
  (GISANS) data. Calculations are carried out in the framework of the distorted
@@ -156,7 +160,8 @@
 Section: doc
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: bornagain
-Description: Simulate and fit X-ray and neutron GISAXS -- doc
+Multi-Arch: foreign
+Description: Simulate and fit X-ray and neutron GISAS -- doc
  BornAgain is a software package to simulate and fit small-angle scattering at
  grazing incidence. It supports analysis of both X-ray (GISAXS) and neutron
  (GISANS) data. Calculations are carried out in the framework of the distorted
