=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 #   -DWITH_PKGCONFIG_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 
 %:
-	dh $@ --with python3 $(CMAKE_OPTIONS)
+	dh $@ --with python3 --no-parallel $(CMAKE_OPTIONS)
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_OPTIONS) $(CONFIG_SWITCHES)
