=== debian/watch ===
version=4
 https://bornagainproject.org/ext/files/master/ BornAgain-([\d\.]+)\.tar\.gz debian uupdate
